//========================================================================================
//
//	File:				FWString.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWSTRING_FR
#define FWSTRING_FR

#ifndef FWARCOBJ_FR
#include "FWArcObj.fr"
#endif

//========================================================================================
// type FW_RStringData
//========================================================================================

#define FW_kRomanScript 0
#define FW_kLanguageEnglish 0

type FW_RStringData
{
// NOTE: We currently write out 16-bit script and language codes.
// A more general mechanism would be to write out the ODIText data
// structure as is.
ScriptCode:
	integer = FW_kRomanScript;
LanguageCode:
	integer = FW_kLanguageEnglish;
StringBytes:
	wstring;	// a length-word followed by bytes
};

//========================================================================================
// type FW_RString
//========================================================================================

type FW_RString('FWst') : FW_RArchivableObject(Label='stri')
{
	FW_RStringData;	
};

//========================================================================================
// type FW_RString32
//========================================================================================

type FW_RString32('FWst') : FW_RString(Label='st32')
{
};

//========================================================================================
// type FW_RString255
//========================================================================================

type FW_RString255('FWst') : FW_RString(Label='st25')
{
};

#endif

