//========================================================================================
//
//	File:				SLLocale.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLLOCALE_H
#define SLLOCALE_H

#ifndef FWODEXCE_H
#include "FWODExce.h"
#endif

#include "FWTxtTyp.xh"

//========================================================================================
//	Global Functions
//========================================================================================

// Export or Import functions for CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

FW_EXTERN_C_BEGIN

FW_Boolean FW_LocaleIsSingleByte(FW_Locale locale);
	// Return true if all characters in this locale are 1 byte wide.

#if 0
FW_Boolean FW_FindCharacterInTextRun(
					char* textRun, 				// start of text run (must be single locale)
					FW_ByteCount length, 		// length of text run, in bytes
					FW_Locale locale, 			// locale of text run
					FW_ByteCount startPosition,	// offset from beginning of text to start search
					FW_FindDirection direction,	// FW_kForwards if searching forwards, FW_kBackwards if searching backwards
					FW_LChar character,			// character to search for
					FW_ByteCount* foundPosition	// position at which character is found, if it exists
					);
	// returns false if the character is not found
#endif

FW_EXTERN_C_END

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif

#endif
