//========================================================================================
//
//	File:				FWABndSt.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFound.hpp"

#ifndef FWBNDSTR_H
#include "FWBndStr.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment Strings
#endif

//========================================================================================
//	CLASS FW_CString32
//========================================================================================

const FW_ClassTypeConstant FW_LString32 = FW_TYPE_CONSTANT('s','t','3','2');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LString32,	FW_CString32,	FW_CString32::Read,		0, 0, FW_CString::Write)

//----------------------------------------------------------------------------------------
// FW_CString32::Read
//----------------------------------------------------------------------------------------

void* FW_CString32::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CString32* string = FW_NEW(FW_CString32, ());
	string->PrivRead(stream);
	return string;
}

//========================================================================================
//	CLASS FW_CString255
//========================================================================================

const FW_ClassTypeConstant FW_LString255 = FW_TYPE_CONSTANT('s','t','2','5');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LString255,	FW_CString255,	FW_CString255::Read,	0, 0, FW_CString::Write)

//----------------------------------------------------------------------------------------
// FW_CString255::Read
//----------------------------------------------------------------------------------------

void* FW_CString255::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CString255* string = FW_NEW(FW_CString255, ());
	string->PrivRead(stream);
	return string;
}

